org.apache.nutch.storage

## Class ProtocolStatus.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<ProtocolStatus>
    - - org.apache.nutch.storage.ProtocolStatus.Builder

- All Implemented Interfaces:
    org.apache.avro.data.RecordBuilder<ProtocolStatus>
  Enclosing class:
    ProtocolStatus

      public static class ProtocolStatus.Builder
      extends org.apache.avro.specific.SpecificRecordBuilderBase<ProtocolStatus>
      implements org.apache.avro.data.RecordBuilder<ProtocolStatus>

  RecordBuilder for ProtocolStatus instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolStatus` | `build()`
    `ProtocolStatus.Builder` | `clearArgs()` Clears the value of the 'args' field
    `ProtocolStatus.Builder` | `clearCode()` Clears the value of the 'code' field
    `ProtocolStatus.Builder` | `clearLastModified()` Clears the value of the 'lastModified' field
    `java.util.List<java.lang.CharSequence>` | `getArgs()` Gets the value of the 'args' field
    `java.lang.Integer` | `getCode()` Gets the value of the 'code' field
    `java.lang.Long` | `getLastModified()` Gets the value of the 'lastModified' field
    `boolean` | `hasArgs()` Checks whether the 'args' field has been set
    `boolean` | `hasCode()` Checks whether the 'code' field has been set
    `boolean` | `hasLastModified()` Checks whether the 'lastModified' field has been set
    `ProtocolStatus.Builder` | `setArgs(java.util.List<java.lang.CharSequence> value)` Sets the value of the 'args' field
    `ProtocolStatus.Builder` | `setCode(int value)` Sets the value of the 'code' field
    `ProtocolStatus.Builder` | `setLastModified(long value)` Sets the value of the 'lastModified' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCode

          public java.lang.Integer getCode()

      Gets the value of the 'code' field

    - #### setCode

          public ProtocolStatus.Builder setCode(int value)

      Sets the value of the 'code' field

    - #### hasCode

          public boolean hasCode()

      Checks whether the 'code' field has been set

    - #### clearCode

          public ProtocolStatus.Builder clearCode()

      Clears the value of the 'code' field

    - #### getArgs

          public java.util.List<java.lang.CharSequence> getArgs()

      Gets the value of the 'args' field

    - #### setArgs

          public ProtocolStatus.Builder setArgs(java.util.List<java.lang.CharSequence> value)

      Sets the value of the 'args' field

    - #### hasArgs

          public boolean hasArgs()

      Checks whether the 'args' field has been set

    - #### clearArgs

          public ProtocolStatus.Builder clearArgs()

      Clears the value of the 'args' field

    - #### getLastModified

          public java.lang.Long getLastModified()

      Gets the value of the 'lastModified' field

    - #### setLastModified

          public ProtocolStatus.Builder setLastModified(long value)

      Sets the value of the 'lastModified' field

    - #### hasLastModified

          public boolean hasLastModified()

      Checks whether the 'lastModified' field has been set

    - #### clearLastModified

          public ProtocolStatus.Builder clearLastModified()

      Clears the value of the 'lastModified' field

    - #### build

          public ProtocolStatus build()

      Specified by:
        `build` in interface `org.apache.avro.data.RecordBuilder<ProtocolStatus>`

Copyright © 2019 The Apache Software Foundation